Subject: bug#30087: closed (Re: bug#30087: "guix package -A" hangs with attached package set)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jan 2021 12:35:03 +0000

Your bug report

#30087: "guix package -A" hangs with attached package set

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30087: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30087
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30087: "guix package -A" hangs with attached package set
From: zimoun <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], Leo Famulari <[email-masked]>
Date: Mon, 11 Jan 2021 13:29:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, 22 Dec 2020 at 17:12, zimoun <[email-masked]> wrote:

>> Is it still relevant?  If yes, could you provide more information to
>> tackle it?  For example, more context or recipe to reproduce it.  If no,
>> feel free to close it.
>
> If no news in the coming days about the relevance of this bug, I will
> took the liberty to close it.

So I am closing.  Feel free to reopen it if I have misunderstood
something.

All the best,
simon

Subject: "guix package -A" hangs with attached package set
From: Danny Milosavljevic <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, Steve Sprang <[email-masked]>, [email-masked]
Date: Fri, 12 Jan 2018 16:50:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Leo,

On Fri, 12 Jan 2018 07:26:31 -0800
Leo Famulari <[email-masked]> wrote:

> I can't reproduce this with a recent Guix. Are you using any custom
> packages or modifications?

Yeah, sorry, I checked it now.  It's because of packages in my GUIX_PACKAGE_PATH.  When I move them away, "guix package -A" works fine.

Attached the offending directory from inside my GUIX_PACKAGE_PATH.

Warning!  If you decide to extract the attachment inside your GUIX_PACKAGE_PATH, be sure to save your work!  This hangs your computer.

I think it should still not happen.  Hence, I opened a new bugreport now.